SEQ_HLIST_NEXT_RCU(9)

NAME
seq_hlist_next_rcu - move to the next position of the hlist protected by RCU

SYNOPSIS

struct hlist_node * seq_hlist_next_rcu(void * v, struct hlist_head * head, loff_t * ppos);

ARGUMENTS

v
    the current iterator

head
    the head of the hlist

ppos
    the current position

DESCRIPTION

Called at seq_file->op->next.

This list-traversal primitive may safely run concurrently with the _rcu list-mutation primitives such as hlist_add_head_rcu as long as the traversal is guarded by rcu_read_lock.

COPYRIGHT